/*******************************************************************************
 * Copyright (c) 2008, 2022 Sonatype, Inc.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License 2.0
 * which accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Contributors:
 *      Sonatype, Inc. - initial API and implementation
 *******************************************************************************/

package org.eclipse.m2e.core.internal;

/**
 * Maven Constants
 *
 * @author Eugene Kuleshov
 */
public interface IMavenConstants {

  String PLUGIN_ID = "org.eclipse.m2e.core"; //$NON-NLS-1$

  String NATURE_ID = PLUGIN_ID + ".maven2Nature"; //$NON-NLS-1$

  String BUILDER_ID = PLUGIN_ID + ".maven2Builder"; //$NON-NLS-1$

  String MARKER_ID = PLUGIN_ID + ".maven2Problem"; //$NON-NLS-1$

  String MARKER_POM_LOADING_ID = MARKER_ID + ".pomloading"; //$NON-NLS-1$

  String MARKER_CONFIGURATION_ID = MARKER_ID + ".configuration"; //$NON-NLS-1$

  String MARKER_LIFECYCLEMAPPING_ID = MARKER_ID + ".lifecycleMapping"; //$NON-NLS-1$

  String MARKER_DEPENDENCY_ID = MARKER_ID + ".dependency"; //$NON-NLS-1$

  String MARKER_BUILD_ID = MARKER_ID + ".build"; //$NON-NLS-1$

  String MARKER_BUILD_PARTICIPANT_ID = MARKER_BUILD_ID + ".participant"; //$NON-NLS-1$

  /**
   * string that gets included in pom.xml file comments and makes the marker manager to ignore the managed version
   * override marker
   */
  String MARKER_IGNORE_MANAGED = "$NO-MVN-MAN-VER$";//$NON-NLS-1$

  String MAVEN_COMPONENT_CONTRIBUTORS_XPT = PLUGIN_ID + ".mavenComponentContributors"; //$NON-NLS-1$

  String POM_FILE_NAME = "pom.xml"; //$NON-NLS-1$

  String PREFERENCE_PAGE_ID = PLUGIN_ID + ".MavenProjectPreferencePage"; //$NON-NLS-1$

  String NO_WORKSPACE_PROJECTS = "noworkspace"; //$NON-NLS-1$

  String ACTIVE_PROFILES = "profiles"; //$NON-NLS-1$

  String FILTER_RESOURCES = "filterresources"; //$NON-NLS-1$

  String JAVADOC_CLASSIFIER = "javadoc"; //$NON-NLS-1$

  String SOURCES_CLASSIFIER = "sources"; //$NON-NLS-1$

  /**
   * The name of the folder containing metadata information for the workspace.
   */
  String METADATA_FOLDER = ".metadata"; //$NON-NLS-1$

  String INDEX_UPDATE_PROP = "indexUpdate"; //$NON-NLS-1$

  /**
   * marker containing this attribute (with whatever value) will be considered to contain a quick fix and will be marker
   * appropriately in the editor.
   */
  String MARKER_ATTR_EDITOR_HINT = "editor_hint";//$NON-NLS-1$

  String MARKER_ATTR_PACKAGING = "packaging"; //$NON-NLS-1$

  String MARKER_ATTR_ARTIFACT_ID = "artifactId";//$NON-NLS-1$

  String MARKER_ATTR_CONFIGURATOR_ID = "configuratorId";//$NON-NLS-1$

  String MARKER_ATTR_EXECUTION_ID = "executionId";//$NON-NLS-1$

  String MARKER_ATTR_GOAL = "goal";//$NON-NLS-1$

  String MARKER_ATTR_GROUP_ID = "groupId";//$NON-NLS-1$

  String MARKER_ATTR_LIFECYCLE_PHASE = "lifecyclePhase";//$NON-NLS-1$

  String MARKER_ATTR_VERSION = "version";//$NON-NLS-1$

  /**
   * @since 1.4.0
   */
  String MARKER_ATTR_CLASSIFIER = "classifier";//$NON-NLS-1$

  String EDITOR_HINT_PARENT_GROUP_ID = "parent_groupid";//$NON-NLS-1$

  String EDITOR_HINT_PARENT_VERSION = "parent_version";//$NON-NLS-1$

  String EDITOR_HINT_MANAGED_DEPENDENCY_OVERRIDE = "managed_dependency_override";//$NON-NLS-1$

  String EDITOR_HINT_MANAGED_PLUGIN_OVERRIDE = "managed_plugin_override";//$NON-NLS-1$

  String EDITOR_HINT_MISSING_SCHEMA = "missing_schema";//$NON-NLS-1$

  String EDITOR_HINT_NOT_COVERED_MOJO_EXECUTION = "not_covered_mojo_execution";//$NON-NLS-1$

  String EDITOR_HINT_IMPLICIT_LIFECYCLEMAPPING = "implicit_lifecyclemaping";//$NON-NLS-1$

  String EDITOR_HINT_CONFLICTING_LIFECYCLEMAPPING = "conflicting_lifecyclemaping";//$NON-NLS-1$

  String EDITOR_HINT_UNKNOWN_LIFECYCLE_ID = "unknown_lifecycle_id";//$NON-NLS-1$

  String EDITOR_HINT_MISSING_CONFIGURATOR = "missing_configurator";//$NON-NLS-1$

  String MARKER_COLUMN_START = "columnStart"; //$NON-NLS-1$

  String MARKER_COLUMN_END = "columnEnd"; //$NON-NLS-1$

  String MARKER_CAUSE_RESOURCE_PATH = "causeResourcePath"; //$NON-NLS-1$

  String MARKER_CAUSE_RESOURCE_ID = "causeResourceId"; //$NON-NLS-1$

  String MARKER_CAUSE_COLUMN_START = "causeColumnStart"; //$NON-NLS-1$

  String MARKER_CAUSE_COLUMN_END = "causeColumnEnd"; //$NON-NLS-1$

  String MARKER_CAUSE_LINE_NUMBER = "causeLineNumber"; //$NON-NLS-1$

  String MARKER_DUPLICATEMAPPING_TYPE = "duplicateMappingType";

  String MARKER_DUPLICATEMAPPING_VALUE = "duplicateMappingValue";

  String MARKER_DUPLICATEMAPPING_SOURCES = "duplicateMappingSources";

  String MARKER_DUPLICATEMAPPING_SOURCES_NAME = "name";

  String MARKER_DUPLICATEMAPPING_SOURCES_BSN = "bundleSymbolicName";

  String MARKER_DUPLICATEMAPPING_SOURCES_VERSION = "bundleVersionRange";

  String MARKER_DUPLICATEMAPPING_TYPE_PACKAGING = "packaging";

  String MARKER_DUPLICATEMAPPING_TYPE_GOAL = "goal";

}
